<template>
  <q-page>
    <q-banner class="flex col-shrink bg-dark text-white q-mb-lg q-pa-md text-center no-print">
      <strong>Print Terminal QR Codes</strong>
    </q-banner>
    <div class="inner-page">
      <div class="no-print">

        <p>There are two QR Codes that are required.</p>

        <ol>
          <li>One that should face the staff and be obfuscated from the customer. This QR Code is used by staff for setting the payment amount due.</li>
          <li>One that should face the customer. This terminal is used by the customer to pay after the staff member has set the amount due.</li>
        </ol>

        <div class="text-center">
          <q-btn label="Open Print Dialog" color="primary" @click="print()" />
        </div>

        <hr class="q-mb-lg q-mt-lg" />
      </div>

      <div style="overflow-x: auto">
        <QRCodesComponent :terminalId="terminalId" :terminalPassword="terminalPassword" />
      </div>
    </div>
  </q-page>
</template>

<script setup lang="ts">
import { useRoute } from 'vue-router'
import QRCodesComponent from '../../components/QRCodesComponent.vue'

const $route = useRoute()

const terminalId = $route.params.terminalId as string
const terminalPassword = $route.params.terminalPassword as string

function print () {
  window.print()
}
</script>
